Loading...
Searching...
No Matches
casacore::FitsField< TYPE > Class Template Reference
fits package (libcasa_fits) » FITS_module

helper class
Note: Note that FitsField does not allocate space for the data; Space is external to FitsField and its address is set via the setaddr function;
More...

`#include <hdu.h>`

## Public Member Functions

| FitsField (int n=1)
| ~FitsField ()
TYPE & | operator() ()
TYPE & | operator() (int i)
FitsField< TYPE > & | operator= (const TYPE &x)
int | fitsfieldsize () const
int | localfieldsize () const
void * | data ()
void | show (std::ostream &)
Public Member Functions inherited from casacore::FitsBase
| FitsBase (const FITS::ValueType &t, int n)
virtual | ~FitsBase ()
unsigned int | nelements () const
virtual int | dims () const
virtual int | dim (int n) const
virtual int * | vdim ()
FITS::ValueType | fieldtype () const
FitsBase & | operator= (FitsBase &)=delete

## Protected Member Functions

void | setaddr (void **addr)

## Protected Attributes

TYPE ** | field
Protected Attributes inherited from casacore::FitsBase
int | no_elements
FITS::ValueType | data_type

## Additional Inherited Members

Static Public Member Functions inherited from casacore::FitsBase
static FitsBase * | make (const FITS::ValueType &, int=1)
static FitsBase * | make (const FITS::ValueType &, int, int *)
static FitsBase * | make (FitsBase &)

## Detailed Description

template<class TYPE>
class casacore::FitsField< TYPE >

helper class
Note: Note that FitsField does not allocate space for the data; Space is external to FitsField and its address is set via the setaddr function;

Definition at line 880 of file hdu.h.

## Constructor & Destructor Documentation

## FitsField()

template<class TYPE>

casacore::FitsField< TYPE >::FitsField | ( | int | n = 1 | ) |

inline

Definition at line 882 of file hdu.h.

## ~FitsField()

template<class TYPE>

casacore::FitsField< TYPE >::~FitsField | ( |  | ) |

## Member Function Documentation

## data()

template<class TYPE>

void * casacore::FitsField< TYPE >::data | ( |  | ) |

virtual

Implements casacore::FitsBase.

## fitsfieldsize()

template<class TYPE>

int casacore::FitsField< TYPE >::fitsfieldsize | ( |  | ) | const

virtual

Implements casacore::FitsBase.

## localfieldsize()

template<class TYPE>

int casacore::FitsField< TYPE >::localfieldsize | ( |  | ) | const

virtual

Implements casacore::FitsBase.

## operator()() [1/2]

template<class TYPE>

TYPE & casacore::FitsField< TYPE >::operator() | ( |  | ) |

inline

Definition at line 886 of file hdu.h.

## operator()() [2/2]

template<class TYPE>

TYPE & casacore::FitsField< TYPE >::operator() | ( | int | i | ) |

inline

Definition at line 887 of file hdu.h.

## operator=()

template<class TYPE>

FitsField< TYPE > & casacore::FitsField< TYPE >::operator= | ( | const TYPE & | x | ) |

inline

Definition at line 888 of file hdu.h.

## setaddr()

template<class TYPE>

void casacore::FitsField< TYPE >::setaddr | ( | void ** | addr | ) |

protected virtual

Implements casacore::FitsBase.

## show()

template<class TYPE>

void casacore::FitsField< TYPE >::show | ( | std::ostream & |  | ) |

virtual

Implements casacore::FitsBase.

## Member Data Documentation

## field

template<class TYPE>

TYPE** casacore::FitsField< TYPE >::field

protected

Definition at line 899 of file hdu.h.

The documentation for this class was generated from the following file:

- fits/FITS/hdu.h